# SimplePolylineGeometry

#### new Cesium.SimplePolylineGeometry(options)
Core/SimplePolylineGeometry.js 107

  A description of a polyline modeled as a line strip; the first two positions define a line segment, and each additional position defines a line segment from the previous position.

  Name | Type | Description
  --- | --- | ---

  `options`

  Object

  Object with the following properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `positions` | Array.<Cartesian3> |  | An array of `Cartesian3` defining the positions in the polyline as a line strip.
  `colors` | Array.<Color> |  | optional An Array of `Color` defining the per vertex or per segment colors.
  `colorsPerVertex` | Boolean | `false` | optional A boolean that determines whether the colors will be flat across each segment of the line or interpolated across the vertices.
  `followSurface` | Boolean | `true` | optional A boolean that determines whether positions will be adjusted to the surface of the ellipsoid via a great arc.
  `granularity` | Number | `CesiumMath.RADIANS_PER_DEGREE` | optional The distance, in radians, between each latitude and longitude if options.followSurface=true. Determines the number of positions in the buffer.
  `ellipsoid` | Ellipsoid | `Ellipsoid.WGS84` | optional The ellipsoid to be used as a reference.

  ##### Throws:

  - DeveloperError : At least two positions are required.
  - DeveloperError : colors has an invalid length.

  ##### Example:

      // A polyline with two connected line segments
      var polyline = new Cesium.SimplePolylineGeometry({
        positions : Cesium.Cartesian3.fromDegreesArray([
          0.0, 0.0,
          5.0, 0.0,
          5.0, 5.0
        ])
      });
      var geometry = Cesium.SimplePolylineGeometry.createGeometry(polyline);

  ##### See:

  - SimplePolylineGeometry#createGeometry

### Members

#### packedLength : Number
Core/SimplePolylineGeometry.js 137

  The number of elements used to pack the object into an array.

### Methods

#### staticCesium.SimplePolylineGeometry.createGeometry(simplePolylineGeometry) → Geometry
Core/SimplePolylineGeometry.js 265

  Computes the geometric representation of a simple polyline, including its vertices, indices, and a bounding sphere.

  Name | Type | Description
  --- | --- | ---
  `simplePolylineGeometry` | SimplePolylineGeometry | A description of the polyline.

  ##### Returns:

  The computed vertices and indices.

#### staticCesium.SimplePolylineGeometry.pack(value, array, startingIndex) → Array.<Number>
Core/SimplePolylineGeometry.js 149

  Stores the provided instance into the provided array.

  Name | Type | Default | Description
  --- | --- | --- | ---
  `value` | SimplePolylineGeometry |  | The value to pack.
  `array` | Array.<Number> |  | The array to pack into.
  `startingIndex` | Number | `0` | optional The index into the array at which to start packing the elements.

  ##### Returns:

  The array that was packed into

#### staticCesium.SimplePolylineGeometry.unpack(array, startingIndex, result) → SimplePolylineGeometry
Core/SimplePolylineGeometry.js 197

  Retrieves an instance from a packed array.

  Name | Type | Default | Description
  --- | --- | --- | ---
  `array` | Array.<Number> |  | The packed array.
  `startingIndex` | Number | `0` | optional The starting index of the element to be unpacked.
  `result` | SimplePolylineGeometry |  | optional The object into which to store the result.

  ##### Returns:

  The modified result parameter or a new SimplePolylineGeometry instance if one was not provided.